www.cendio.com
Bug 6169 - crash in thinlinc-login for invalid -c argument
: crash in thinlinc-login for invalid -c argument
Status: CLOSED FIXED
: ThinLinc
VSM Server
: 1.3.1
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-02-17 11:00 by
Modified: 2017-03-27 14:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-02-17 11:00:05
$ ./thinlinc-login -c 'foo'
Shell access has been prohibited
Traceback (most recent call last):
  File "./thinlinc-login", line 213, in <module>
    main()
  File "./thinlinc-login", line 133, in main
    shell_mode()
  File "./thinlinc-login", line 37, in shell_mode
    time.sleep(2)
NameError: global name 'time' is not defined

Caused in r31680 for bug 5099.
------- Comment #2 From cendio 2017-02-20 14:43:42 -------
Verified using tl-4.7.0post_5377.r32212.jenkins543 build.

Works as expected.